<!DOCTYPE html>
<html lang="es">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Asíncronía en JavaScript</title>
</head>

<body>
  <h1>Asíncronía en JavaScript</h1>
  <script>
    /* **********     Curso JavaScript: 44. Temporizadores (setTimeout & setInterval) - #jonmircha     ********** */

    /* console.log("inicio");
    setTimeout(() => {
      console.log("Ejecutando un setTimeout, esto se ejecuta una sóla vez");
    }, 3000);
    setInterval(() => {
      console.log("Ejecutando un setInterval, esto se ejecuta indefinidaente cada cierto intervalo de tiempo");
    }, 1000); */

    /* let temporizador = setTimeout(() => {
      console.log(new Date().toLocaleTimeString());
    }, 1000);
    clearTimeout(temporizador);
    console.log("después del clearTimeout"); */

    let temporizador = setInterval(() => {
      console.log(new Date().toLocaleTimeString());
    }, 1000);
    clearInterval(temporizador);
    console.log("después del clearInterval");
    </script>
    </body>
    </html>



